### Enumeration

# Gck UriError

#### Declaration

    error-domain Gck.UriError

#### Description [src]

Various error codes used with PKCS#11 URIs.

#### Members

`GCK_URI_BAD_SCHEME`

  Invalid URI scheme.

  - Value: `1`
  - Available since: 2
`GCK_URI_BAD_ENCODING`

  Bad URI encoding.

  - Value: `2`
  - Available since: 2
`GCK_URI_BAD_SYNTAX`

  Bad URI syntax.

  - Value: `3`
  - Available since: 2
`GCK_URI_BAD_VERSION`

  Bad URI version component.

  - Value: `4`
  - Available since: 2
`GCK_URI_NOT_FOUND`

  Piece of the URI was not found.

  - Value: `5`
  - Available since: 2

#### Type functions

###### gck_uri_error_quark

No description available.